' ******************************************************************
' This program evaluates a polynomial
'
' Example polynomial is P(X) = 1 + X + 2*X^2 + 3*X^3 + 4*X^4
' ******************************************************************

#INCLUDE "fbmath.bi"

' ------------------------------------------------------------------
' Define polynomial here, in the form:
' Coef(0) + Coef(1) * X + Coef(2) * X^2 + ... + Coef(Deg) * X^Deg
' ------------------------------------------------------------------

CONST Deg = 4

DIM AS DOUBLE Coef(0 TO Deg) = {1, 1, 2, 3, 4}

' ------------------------------------------------------------------

DIM AS DOUBLE X, Y

DO
  INPUT "X    =  ", X
  Y = Poly(X, Coef(), Deg)
  PRINT "P(X) = "; Y
  PRINT
LOOP UNTIL X = 0
