' ******************************************************************
' Test of binomial coefficients
' ******************************************************************

#INCLUDE "fbmath.bi"

' ------------------------------------------------
' Reference data for factorial
' (modified from 'Numerical Recipes Example Book')
' ------------------------------------------------

CONST Nval = 20  ' Number of values

DIM AS INTEGER N(1 TO Nval) = _
{1, 6, 6, 6, 15, 15, 15, 15, 15, 15, 15, 25, 25, 25, 25, 25, 25, 25, 25, 25}

DIM AS INTEGER K(1 TO Nval) = _
{0, 1, 3, 5, 1, 3, 5, 7, 9, 11, 13, 1, 3, 5, 7, 9, 11, 13, 15, 17}

DIM AS INTEGER C(1 TO Nval) = _
{1, 6, 20, 6, 15, 455, 3003, 6435, 5005, 1365, 105, 25, _
 2300, 53130, 480700, 2042975, 4457400, 5200300, 3268760, 1081575}

DIM AS INTEGER I

PRINT " N     K     Binomial(N,K)     Reference"
PRINT "----------------------------------------"

FOR I = 1 TO Nval
  PRINT USING "##    ##        #######         #######"; _
               N(I); K(I); Binomial(N(I), K(I)); C(I)
NEXT I

SLEEP
