' ******************************************************************
' String functions
' ******************************************************************

#include "string.bi"

FUNCTION IntToStr(N    AS INTEGER,       _
                  Ntot AS INTEGER = 10) AS STRING
' ------------------------------------------------------------------
' Converts an integer to a string with Ntot characters
' ------------------------------------------------------------------

  DIM AS INTEGER I
  DIM AS STRING  S

  S = Format(N, "0")

  ' Add leading spaces
  I = LEN(S) : IF I < Ntot THEN S = space$(Ntot - I) + S

  IntToStr = S
END FUNCTION
