' ******************************************************************
' Linear equation
' ******************************************************************

FUNCTION RootPol1(A AS DOUBLE, B AS DOUBLE, BYREF X AS DOUBLE) AS INTEGER
' ------------------------------------------------------------------
' Solves the linear equation A + B * X = 0
' Returns  1 if no error (B <> 0)
'         -1 if X is undetermined (A = B = 0)
'         -2 if no solution (A <> 0, B = 0)
' ------------------------------------------------------------------

  X = 0

  IF B <> 0 THEN
    IF A <> 0 THEN X = -A / B
    RootPol1 = 1
    EXIT FUNCTION
  END IF

  IF A = 0 THEN      ' 0 + 0X = 0
    RootPol1 = -1
  ELSE               ' A + 0X = 0
    RootPol1 = -2
  END IF
END FUNCTION
