' ******************************************************************
' Median
' ******************************************************************

' ------------------------------------------------------------------
' Constant
' ------------------------------------------------------------------

#DEFINE True -1

' ------------------------------------------------------------------
' External function
' ------------------------------------------------------------------

DECLARE SUB QuickSort(SortArray() AS DOUBLE, _
                      Low         AS INTEGER, _
                      High        AS INTEGER)

' ******************************************************************

FUNCTION Median(X() AS DOUBLE, Sorted AS INTEGER = True) AS DOUBLE

  DIM AS INTEGER Lb, Ub, N1, N2

  Lb = LBOUND(X)
  Ub = UBOUND(X)

  N1 = Ub - Lb + 1
  N2 = N1 \ 2 + Lb - 1

  IF NOT Sorted THEN QuickSort X(), Lb, Ub

  IF N1 MOD 2 = 1 THEN
    Median = X(N2 + 1)
  ELSE
    Median = 0.5 * (X(N2) + X(N2 + 1))
  END IF
END FUNCTION

